commit:     ac29dead5d965b36c3061d1accc5ee27123a94da
Author:     Filip Kobierski <fkobi <AT> pm <DOT> me>
AuthorDate: Wed Sep 25 14:31:58 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Oct 21 12:36:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac29dead

net-p2p/nicotine+: add 3.3.5

Signed-off-by: Filip Kobierski <fkobi <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/38769
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-p2p/nicotine+/Manifest               |  1 +
 net-p2p/nicotine+/nicotine+-3.3.5.ebuild | 62 ++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/net-p2p/nicotine+/Manifest b/net-p2p/nicotine+/Manifest
index a625dbdec804..06834fad74fd 100644
--- a/net-p2p/nicotine+/Manifest
+++ b/net-p2p/nicotine+/Manifest
@@ -1,2 +1,3 @@
 DIST nicotine+-3.2.9.tar.gz 2985424 BLAKE2B 
1768d9f13ee15593661997ac0ad49c6c2d3aead685f83b86ae0ca05615f5fda04ea3abd3137a595d8457ef9643c4fd77adb47a76417b90d6c876bf55c56c4b31
 SHA512 
bc828bf8e6b194b23df8c7cce900704b918b71669ff9e0cf17b2c954838e265cc074dcb54e0abbcf563b19f10cf3199cc1980771b57e0af613ef2eed2ee4a3a8
 DIST nicotine+-3.3.4.tar.gz 3838006 BLAKE2B 
09660558a1f07a4393cf272ef532c5fb15f1653008e73ec796c8bd16a177bdcb03c55fb3743d8d8e573ce9db2ac42d7fa0d92544a433007179ce00733c5a2381
 SHA512 
5dab8a1fe718cfd6b0a3e4645e025f42ccc4c86031f65741a3cbfb67e8abfb82cefeb7fc93f5037b9d5f5972ac034cc3ef5a2bac7ae9744533edc894e6e93ef4
+DIST nicotine+-3.3.5.tar.gz 3742720 BLAKE2B 
8d2b160e1609c0eb358c263a07f2dd499408e66e707f30f92f980e0d2daf7a88d6db41bd90af41bb342851ca324d09a6e03627f8fba8d70fc967af67baf91c3f
 SHA512 
3288e71d6f05b984ab94ae67ef8a03f5fac6cc01528f6588f041b23cc7e18d5268241feb4df2b7d1393d81e8ff1b258b054b3c60a0b3d733746573c732dea384

diff --git a/net-p2p/nicotine+/nicotine+-3.3.5.ebuild 
b/net-p2p/nicotine+/nicotine+-3.3.5.ebuild
new file mode 100644
index 000000000000..1587ffd607aa
--- /dev/null
+++ b/net-p2p/nicotine+/nicotine+-3.3.5.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 optfeature xdg
+
+DESCRIPTION="Graphical client for the Soulseek peer to peer network written in 
Python"
+HOMEPAGE="https://nicotine-plus.org/";
+SRC_URI="https://github.com/Nicotine-Plus/nicotine-plus/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
+S="${WORKDIR}/nicotine-plus-${PV}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# NOTE: good link - 
https://github.com/nicotine-plus/nicotine-plus/blob/master/doc/DEPENDENCIES.md
+BDEPEND="
+       sys-devel/gettext
+       test? (
+               dev-python/pytest
+               || (
+                  >=gui-libs/gtk-4.6.9[broadway]
+                  >=x11-libs/gtk+-3.22.20:3[broadway]
+               )
+       )
+"
+RDEPEND="
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       || (
+               >=gui-libs/gtk-4.6.9[introspection]
+               >=x11-libs/gtk+-3.22.20:3[introspection]
+       )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( AUTHORS.md NEWS.md README.md TRANSLATORS.md )
+
+src_prepare() {
+       default
+       # remove update check test violating network sandbox
+       sed -i -e 's:test_update_check:_&:' \
+               "${S}"/pynicotine/tests/unit/test_version.py || die
+}
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       elog "Nicotine can work with both gtk3+ and gtk4."
+       elog "The newer version is preferred but it has worse screen reader 
support"
+       elog "If you need it you can switch to gtk3+ by running nicotine"
+       elog "with an environmental variable like this:"
+       elog "   $ NICOTINE_GTK_VERSION=3 nicotine"
+
+       optfeature "Adwaita theme on GNOME (GTK 4)" gui-libs/libadwaita
+       optfeature "Chat spellchecking (GTK 3)" app-text/gspell
+}

Reply via email to